package com.ssj.service.weixin.user.request;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年4月17日 下午1:55:21 
 * 类说明  APP微信授权登录
 */
@ApiModel("APP账号密码登录")
public class UserloginParam implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name="username" ,value="账号",required=true)
	private  String username;
	@ApiModelProperty(name="password" ,value="密码",required=true)
	private  String password;
	@ApiModelProperty(value="老师端=11，家长端=12",required=true)
	private Integer appType =11;
	
	@ApiModelProperty(name="alias",value="极光推送别名号")
	private String alias;

	public String getAlias() {
		return alias;
	}

	public void setAlias(String alias) {
		this.alias = alias;
	}
	
	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Integer getAppType() {
		return appType;
	}
	public void setAppType(Integer appType) {
		this.appType = appType;
	}
	
	
}
